%% 
%% This is file `tp.cls'
%%
%% generated by Laurent Mazet
%%
%% v0.1: 1997/01/22
%% v1.0: 1997/11/14
%% v1.1: 2014/10/01

\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{tp}
              [2014/10/01 v. 1.1
 A college exercice paper class for MLV College]
\if@compatibility
\LoadClass{article}
\else
\DeclareOption{a4paper}{\OptionNotUsed}
\DeclareOption{a5paper}{\OptionNotUsed}
\DeclareOption{b5paper}{\OptionNotUsed}
\DeclareOption{letterpaper}{\OptionNotUsed}
\DeclareOption{legalpaper}{\OptionNotUsed}
\DeclareOption{executivepaper}{\OptionNotUsed}
\DeclareOption{twocolumns}{\OptionNotUsed}
\DeclareOption{titlepage}{\OptionNotUsed}
%
\DeclareOption*{\PassOptionsToClass{\CurrentOption,onecolumn}{article}}
\ProcessOptions\relax
\LoadClassWithOptions{article}
%
\fi
% Graphic package
\ifx\pdfoutput\undefined
  \RequirePackage[dvips]{epsfig}
  \DeclareGraphicsRule{.eps.gz}{eps}{.eps.bb}{`gunzip -c #1}
  \DeclareGraphicsExtensions{.eps}
\else
  \ifx\pdfoutput\relax
    \RequirePackage[dvips]{epsfig}
    \DeclareGraphicsRule{.eps.gz}{eps}{.eps.bb}{`gunzip -c #1}
    \DeclareGraphicsExtensions{.eps}
  \else
    \ifnum\pdfoutput>0
      \RequirePackage[pdftex]{epsfig}
      \DeclareGraphicsExtensions{.pdf,.png}
    \else
      \RequirePackage[dvips]{epsfig}
      \DeclareGraphicsRule{.eps.gz}{eps}{.eps.bb}{`gunzip -c #1}
      \DeclareGraphicsExtensions{.eps}
    \fi
  \fi
\fi
%\RequirePackage{color}
%\RequirePackage[dvips]{graphicx}
%\RequirePackage{epsfig}
%
\setlength{\textheight}{26.5cm}
\setlength{\textwidth}{18.3cm}
\setlength{\oddsidemargin}{-25pt}
\setlength{\evensidemargin}{-45pt}
\setlength{\topmargin}{-70pt}
\setlength{\parindent} {0pt}
%
\def\university#1{\gdef\@university{#1}}
%\def\@university{\@latex@warning@no@line{No \noexpand\university given}}
\def\@university{Universit\'e de Marne la Vall\'ee}
\def\grade#1{\gdef\@grade{#1}}
\def\@grade{\@latex@warning@no@line{No \noexpand\grade given}}
\def\comments#1{\gdef\@comments{#1}}
\def\@comments{\@latex@warning@no@line{No \noexpand\comments given}}
%
\renewcommand{\maketitle}{%
\begingroup
  \begin{flushleft}%
    \parbox{10cm}{{\large \uppercase{\@university}} \\%
    \@grade \\%
    \@date}%
    \hfill \parbox{3.5cm}{\includegraphics[width=3.5cm, height=1.5cm]{logo}} \\%
  \end{flushleft} \par%
  \begin{center}%
    \vspace{1.5cm}
    \begin{tabular}{|c|}%
      \hline \\%
      \LARGE \@title \\ $\space$ \\%
      \hline%
    \end{tabular} \\%
    \vspace{1.5cm}%
    \textit{\@comments} \\%
    \vspace{1cm} $\space$ \\%
  \end{center}%
\endgroup}
%
\newcounter{exercice}
\setcounter{exercice}{1}
%
\newcommand{\newexti}[1]{
\begingroup
%  \begin{flushleft}%
    $\space$ \\
    \textbf{\Large Exercice \Roman{exercice} : #1}%
\vspace{6pt} \par%
%  \end{flushleft}%
  \addtocounter{exercice}{1}%
\endgroup}%

\newcommand{\newex}{%
\begingroup
%  \begin{flushleft}%
    $\space$ \\
    \textbf{\Large Exercice \Roman{exercice}}%
\vspace{6pt} \par%
%  \end{flushleft}%
  \addtocounter{exercice}{1}%
\endgroup}
